package uk.org.adamretter.webexample.service.impl;

import uk.org.adamretter.webexample.dao.CategoryDao;
import uk.org.adamretter.webexample.model.Category;
import uk.org.adamretter.webexample.service.CategoryService;

/**
 *
 * @author aretter
 */
public class CategoryServiceImpl implements CategoryService {

    private CategoryDao dao;

    public CategoryDao getDao() {
        return dao;
    }

    public void setDao(CategoryDao dao) {
        this.dao = dao;
    }

    public Category getDefaultCategory() {
        return getDao().getCategoryForTerm("XML");
    }
}